Bug 821049 - No exception on default exchange removal attempt, improve java exception handling
No exception on default exchange removal attempt, improve java exception hand...
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
2.1.2
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Rajith Attapattu
Messaging QE
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 12:21 EDT by Petr Matousek
Modified: 2014-07-30 16:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-05-11 12:21:26 EDT
Description of problem:
please see steps to reproduce

Version-Release number of selected component (if applicable):
qpid-java-client-0.14-3.el5
qpid-java-example-0.14-3.el5
qpid-java-common-0.14-3.el5

How reproducible:
100%

Steps to Reproduce:
1. java -cp ${CLASSPATH} org.apache.qpid.example.Drain "amq.direct;{delete:always}"
2. No exception, return code equal to 0
3. Naturally the exchange is not removed, which is correct
  
Actual results:
No exception and return code equal to 0 on default exchange removal attempt

Expected results:
Exception is returned to the client, return code is non-zero

Additional info:
Comment 1 Petr Matousek 2013-05-10 12:23:02 EDT
The behavior has changed somewhere between qpid-java-*-0.18-3 and qpid-java-*-0.18-5.

Now the Steps to Reproduce leads to ~one minute long timeout followed by the NullPointerException.

This is actually a worse case than the one originally reported, thus resetting the flags for further issue evaluation.

Affects version: 
qpid-java-*-0.18-3 and higher including the newest qpid-java-*-0.22-2


# date; ./run_example.sh org.apache.qpid.example.Drain "amq.direct;{delete:always}"; date
Fri May 10 12:18:02 EDT 2013
{}
Exception in thread "main" java.lang.NullPointerException
	at org.apache.qpid.client.AMQSession_0_10.isQueueExist(AMQSession_0_10.java:1156)
	at org.apache.qpid.client.AMQSession_0_10.deleteSubscriptionQueue(AMQSession_0_10.java:1579)
	at org.apache.qpid.client.BasicMessageConsumer_0_10.postSubscription(BasicMessageConsumer_0_10.java:513)
	at org.apache.qpid.client.BasicMessageConsumer_0_10.sendCancel(BasicMessageConsumer_0_10.java:167)
	at org.apache.qpid.client.BasicMessageConsumer.close(BasicMessageConsumer.java:594)
	at org.apache.qpid.client.BasicMessageConsumer.close(BasicMessageConsumer.java:554)
	at org.apache.qpid.example.Drain.<init>(Drain.java:91)
	at org.apache.qpid.example.Drain.main(Drain.java:101)
Fri May 10 12:19:03 EDT 2013
Comment 2 Petr Matousek 2013-05-10 12:27:11 EDT
(In reply to comment #1)

correction - Affects version:
qpid-java-*-0.18-5 and higher including the newest qpid-java-*-0.22-2
Comment 3 Justin Ross 2013-05-10 12:48:03 EDT
Please only set one release flag to "?".  Setting more than one messes up certain queries.  In general, you should request the current "major" release, and we'll clone it back to the minor release if it makes sense.

(In reply to comment #2)
> (In reply to comment #1)
> 
> correction - Affects version:
> qpid-java-*-0.18-5 and higher including the newest qpid-java-*-0.22-2
Comment 4 Petr Matousek 2013-05-10 13:43:29 EDT
Justin, that makes perfect sense, thanks for clarifying.
Comment 5 Justin Ross 2013-05-16 07:48:05 EDT
Rajith, do you know what's happened here?  See comment 1.
Comment 6 Justin Ross 2013-05-16 07:50:02 EDT
Possibly related to bug 958031.
Comment 7 Petr Matousek 2013-05-16 10:51:14 EDT
(In reply to comment #6)
> Possibly related to bug 958031.

Shall not be related, the timeout occurs even when executed against broker with ACL disabled.
Comment 8 Rajith Attapattu 2014-04-10 11:13:24 EDT
I haven't investigated this issue.
What is the priority for this?

Note You need to log in before you can comment on or make changes to this bug.